Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.bdbje
Class EnhancedEnvironment

    java.lang.Object
      com.sleepycat.je.Environment
          org.archive.util.bdbje.EnhancedEnvironment

    public class EnhancedEnvironment

extends com.sleepycat.je.Environment

Version of BDB_JE Environment with additional convenience features, such as a shared, cached StoredClassCatalog. (Additional convenience caching of Databases and StoredCollections may be added later.)

Author:
  gojomo

Field Summary
`(package private) com.sleepycat.bind.serial.StoredClassCatalog` | `classCatalog`
`(package private) com.sleepycat.je.Database` | `classCatalogDB`

Fields inherited from class com.sleepycat.je.Environment
`CHECKPOINTER_NAME, CLEANER_NAME, environmentImpl, INCOMP_NAME`

Constructor Summary
`EnhancedEnvironment(java.io.File envHome, com.sleepycat.je.EnvironmentConfig envConfig)` Constructor

Method Summary
`void` | `close()`
`com.sleepycat.bind.serial.StoredClassCatalog` | `getClassCatalog()` Return a StoredClassCatalog backed by a Database in this environment, either pre-existing or created (and cached) if necessary.

Methods inherited from class com.sleepycat.je.Environment
`addReference, beginTransaction, checkEnv, checkHandleIsValid, checkpoint, cleanLog, compress, evictMemory, getConfig, getDatabaseNames, getHome, getLockStats, getMutableConfig, getStats, getThreadTransaction, getTransactionStats, openDatabase, openSecondaryDatabase, removeDatabase, renameDatabase, scanLog, setMutableConfig, setThreadTransaction, sync, truncateDatabase, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classCatalog

    com.sleepycat.bind.serial.StoredClassCatalog classCatalog

### classCatalogDB

    com.sleepycat.je.Database classCatalogDB

Constructor Detail

### EnhancedEnvironment

    public EnhancedEnvironment(java.io.File envHome,
                               com.sleepycat.je.EnvironmentConfig envConfig)
                        throws com.sleepycat.je.DatabaseException

  Constructor

  Parameters:
    `envHome` - directory in which to open environment
    `envConfig` - config options
  Throws:
    `com.sleepycat.je.DatabaseException`

Method Detail

### getClassCatalog

    public com.sleepycat.bind.serial.StoredClassCatalog getClassCatalog()

  Return a StoredClassCatalog backed by a Database in this environment, either pre-existing or created (and cached) if necessary.

  Returns:
    the cached class catalog

### close

    public void close()
               throws com.sleepycat.je.DatabaseException

  Overrides:
    `close` in class `com.sleepycat.je.Environment`
  Throws:
    `com.sleepycat.je.DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.